/* Section ================ */

:root {
  --section-padding: 90px;
  --section-title-margin-bottom: 20px;

  @media (--desktop-large-max) {
    --section-padding: 60px;
  }

  @media (--laptop-max) {
    --section-padding: 40px;
    --section-title-margin-bottom: 20px;
  }

  @media (--tablet-max) {
    --section-padding: 40px;
  }
}

.section {
  position: relative;
  padding-top: var(--section-padding);
  padding-bottom: var(--section-padding);

  &.section--content-center {

    @media (--laptop-small-max) {
      padding-top: 20px;
      padding-bottom: 0;
    }
  }

  &.section--info-block {
    padding-bottom: 0;
  }
}

.section--blue {
  color: var(--color-white);
  background-color: var(--color-blue);
  background-image: url("../images/blue_background.jpg");
  background-repeat: no-repeat;
  background-position: top right;
  background-size: 80%;
}

.section--dark-orange {
  padding-bottom: 0;
  color: var(--color-white);
  background-color: #ef7a18;
  background-image: url("../images/orange_dark_background.jpg");
  background-repeat: no-repeat;
  background-position: top right;
  background-size: 80%;

  &::after {
    content: "";
    position: absolute;
    bottom: 0;
    left: 0;
    z-index: 3;
    display: block;
    width: 100%;
    height: 4%;
    background: var(--color-white);
    pointer-events: none;
  }
}

.section--yellow {
  padding-bottom: 0;
  color: var(--color-white);
  background-color: var(--color-yellow);
  background-image: url("../images/yellow_background.jpg");
  background-repeat: no-repeat;
  background-position: top right;
  background-size: 80%;

  &::after {
    content: "";
    position: absolute;
    bottom: 0;
    left: 0;
    z-index: 3;
    display: block;
    width: 100%;
    height: 4%;
    background: var(--color-white);
    pointer-events: none;
  }
}

.section--orange {
  background-color: #fdd093;
  background-image: url("../images/orange_background.jpg");
  background-repeat: no-repeat;
  background-position: bottom center;
  background-size: 80%;

  .section__container {
    position: relative;
    z-index: 4;

    &::before {
      content: "";
      position: absolute;
      top: 50%;
      right: 0;
      left: 0;
      z-index: -1;
      display: block;
      width: 100%;
      height: 40%;
      background-color: var(--color-white);
      opacity: .6;
      filter: blur(100px);
      transform: translateY(-30%);
    }
  }
}

.section__title {
  margin-top: 0;
  margin-bottom: var(--section-title-margin-bottom);

  @media (--laptop-small-max) {
    margin-bottom: 0;
    text-align: center;
  }
}

.section__title--center {
  text-align: center;
}

.section__subtitle {
  margin-bottom: 40px;
  text-align: center;

  @media (--laptop-max) {
    margin-bottom: 20px;
  }

  @media (--tablet-max) {
    margin-bottom: 0;
  }
}

/* BOX CONTAINER  */
.box-container {
  padding-top: 60px;
  padding-bottom: 120px;
  border-radius: 10px;
  background-color: var(--color-white);
  box-shadow: 2px 7px 9px rgba(157, 152, 147, .74);

  @media (--desktop-large-max) {
    padding-top: 40px;
    padding-bottom: 80px;
  }

  @media (--laptop-max) {
    padding-bottom: 70px;
  }

  @media (--laptop-small-max) {
    padding-bottom: 50%;
    margin-bottom: 30px;
  }

  @media (--tablet-max) {
    padding-top: 30px;
  }

  @media (--tablet-small-max) {
    padding-bottom: 62%;
  }
}

.box-container__content {
  max-width: 50%;

  @media (--laptop-small-max) {
    max-width: 100%;
  }
}

.box-container__content--right {
  padding-right: 10%;
  margin-left: auto;

  .section__title {
    text-align: left;
  }

  @media (--laptop-max) {
    padding-right: 30px;
  }

  @media (--laptop-small-max) {
    max-width: 600px;
    padding-right: 15px;
    padding-left: 15px;
    margin: 0 auto;
    text-align: center;

    .section__title {
      text-align: center;
    }
  }
}

.box-container__content--full-width {
  max-width: 100%;
  padding-right: 20px;
  padding-left: 20px;

  @media (--desktop-max) {
    padding-top: 0;
  }

  @media (--laptop-small-max) {
    padding: 0;
  }
}

.box-container__text {

  p {
    margin: 20px 0;
  }

  span {
    color: var(--color-primary);
    font-weight: var(--text-font-weight-bold);
  }

  + .box-container__button {
    margin-top: 20px;
  }

  + .application-list {
    margin-top: 20px;
  }
}

.section__right-image {
  position: absolute;
  right: calc((100vw - 1530px) / 2);
  bottom: 4%;
  z-index: 4;
  display: flex;
  align-items: flex-end;
  max-width: 650px;
  overflow: hidden;
  user-select: none;
  pointer-events: none;

  @media (--desktop-large-max) {
    right: calc((100vw - 1400px) / 2);
    max-width: 590px;
  }

  @media (--desktop-max) {
    right: 0;
    max-width: 520px;
  }

  @media (--laptop-max) {
    right: 30px;
    max-width: 390px;
  }

  @media (--laptop-xs-max) {
    display: none;
  }

  img {
    position: relative;
    z-index: 2;
  }

  &::after {
    content: "";
    position: absolute;
    top: 0;
    right: 0;
    left: 0;
    z-index: 1;
    display: block;
    width: 50%;
    height: 100%;
    margin: 0 auto;
    background-color: var(--color-white);
    opacity: .5;
    filter: blur(100px);

    @media (--desktop-max) {
      width: 30%;
    }
  }
}

.section__right-image--two-children {
  max-width: 760px;

  @media (--desktop-large-max) {
    right: calc((100vw - 1450px) / 2);
    max-width: 700px;
  }

  @media (--desktop-max) {
    right: -60px;
    max-width: 50%;
  }

  @media (--laptop-small-max) {
    right: 10px;
    max-width: 350px;
  }
}

.section__left-image {
  position: absolute;
  bottom: 0;
  left: calc((100vw - 1360px) / 2);
  display: flex;
  align-items: flex-end;
  max-width: 600px;
  user-select: none;
  pointer-events: none;

  @media (--desktop-large-max) {
    left: calc((100vw - 1120px) / 2);
    width: 40%;
    max-width: 500px;
  }

  @media screen and (max-width: 1280px) {
    left: 40px;
    width: 40%;
  }

  @media (--laptop-small-max) {
    right: 0;
    bottom: 0;
    left: 0;
    max-width: 400px;
    margin-right: auto;
    margin-left: auto;
  }

  @media (--tablet-small-max) {
    width: auto;
    max-width: 45%;
  }
}

.section__info {
  width: 60%;

  @media (--laptop-xs-max) {
    width: 100%;
    text-align: center;
  }
}

.section__info--skills {
  width: 52%;

  @media (--desktop-max) {
    width: 60%;
  }

  .block-information__text {
    color: var(--color-black-light);

    p {
      width: 80%;

      @media (--laptop-small-max) {
        width: 100%;
      }
    }
  }

  .box-info__title {
    max-width: 560px;
    margin-right: auto;
    margin-left: auto;
  }
}
/* ================ end section */
